curl -X POST https://api.chessplay.io/api/v1/batches/ \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name": "Advanced Batch", "coach_id": 5}'
import requests
headers = {"Authorization": "Bearer YOUR_ACCESS_TOKEN"}
data = {"name": "Advanced Batch", "coach_id": 5}
response = requests.post(
"https://api.chessplay.io/api/v1/batches/",
headers=headers,
json=data
)
{
"id": 2,
"name": "Advanced Batch",
"coach": {...},
"students": [],
"student_count": 0
}
Batches
Create Batch
Create a new batch
POST
/
api
/
v1
/
batches
/
curl -X POST https://api.chessplay.io/api/v1/batches/ \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name": "Advanced Batch", "coach_id": 5}'
import requests
headers = {"Authorization": "Bearer YOUR_ACCESS_TOKEN"}
data = {"name": "Advanced Batch", "coach_id": 5}
response = requests.post(
"https://api.chessplay.io/api/v1/batches/",
headers=headers,
json=data
)
{
"id": 2,
"name": "Advanced Batch",
"coach": {...},
"students": [],
"student_count": 0
}
Body Parameters
string
required
Batch name
integer
required
Coach ID
curl -X POST https://api.chessplay.io/api/v1/batches/ \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name": "Advanced Batch", "coach_id": 5}'
import requests
headers = {"Authorization": "Bearer YOUR_ACCESS_TOKEN"}
data = {"name": "Advanced Batch", "coach_id": 5}
response = requests.post(
"https://api.chessplay.io/api/v1/batches/",
headers=headers,
json=data
)
{
"id": 2,
"name": "Advanced Batch",
"coach": {...},
"students": [],
"student_count": 0
}
Admin only
Was this page helpful?
⌘I

